#ifndef _FLOCK_H_
#define _FLOCK_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* Operations for the 'flock' call (same as Linux kernel constants).  */
# define LOCK_SH 1       /* Shared lock.  */
# define LOCK_EX 2       /* Exclusive lock.  */
# define LOCK_UN 8       /* Unlock.  */

/* Can be OR'd in to one of the above.  */
# define LOCK_NB 4       /* Don't block when locking.  */


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _FLOCK_H_ */
