#ifndef _WIN32DEP_H_
#define _WIN32DEP_H_

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

char *trousers_getUserDir(void);			//WARNING: code from PhysicsFS
unsigned int Curl_rand(void);
void Curl_srand(void);
void trousers_setenv(const char *name, const char *value, int overwrite);
void trousers_log(const char *layer, const char *fmt, ...);

#ifndef HAVE_SETENV
#define setenv( name, value, overwrite) \
trousers_setenv( name, value, overwrite)
#define unsetenv( name) \
setenv (name, "", 1)
#endif

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _WIN32DEP_H_ */
